# Prevent App from Suspensions

This guide will show you how to allow Shutdown Timer to run indefinitely.

## Why does Windows suspend apps?

In Windows 10, UWP apps are managed by Windows and will get suspended if they are minimized in the background to save battery and preserve performance.
This is great for most apps, as they often don't need to be running all the time, especially if they are minimized so this optimization saves performance and battery life.

In the case of Shutdown Timer you would not want Windows to suspend it, including the shutdown timer which might be active.

## How to stop this

For Desktop users there should be no action needed as Shutdown Timer tells Windows to let it run even after being minimized and as long as you are connected to power, Windows will respect these instructions.

On Laptops or any device which might go into battery mode, you need to change some settings.
Windows will allow apps to extend their execution for up to ten minutes only, when minimized, to save baterry power.
In our case we want to run the app for as long as needed so we need to change some settings:

1.  Go to `Settings > System > Battery > See which apps are affecting your battery life`
2.  Select **Shutdown Timer (UWP)**
3.  Turn off **Let Windows decide when this app can run in the background** and **Reduce app background activity**
5.  And enable **Allow app to run background tasks**

Your settings should now look like this:

![Windows battery settings screenshot](./Images/PreventSuspensionSettings.png)

Source: [Microsoft Docs](https://docs.microsoft.com/en-us/windows/uwp/launch-resume/run-minimized-with-extended-execution#run-while-minimized)
